Bug 7910 - часто сбрасывает выделение
: часто сбрасывает выделение
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/wmcliphist)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-09 13:51 by
Modified: 2007-02-08 16:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-09 13:51:11
При выделении текста (в терминале, ff, gedit, xchat2 и т.д.) часто оно
сбрасывается. Если wmcliphist закрыть то такое поведение прекращается. При чем
выделеный текст попадает в его history, но скажем в рекдаторе из-за этого
невозможно выделить текст с целью удалить его.

Steps to Reproduce:
1. запустить wmcliphist
2. выделить текст в терминале или в gedit

Actual Results:  
выделение пропадает

Expected Results:  
выделение не должно пропадать
------- Comment #1 From 2005-09-12 05:48:48 -------
можете исправить, я больше не занимаюсь этим пакетом
------- Comment #2 From 2006-12-17 17:09:29 -------
reassign (?)
------- Comment #3 From 2007-01-23 18:04:56 -------
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=222816

Для удобства цитирую оттуда ответ автора:

-------------------------------------------------------------------------
this is not a bug, this is a feature :) wmcliphist 0.6 contains new
function called "auto take up". When enabled, wmcliphist become
a selection owner when new content appears in clipboard. This makes
selection content independent on application which copied it previously
- it will persist even if this application ends (without recalling it
from wmcliphist's history menu).
But it seems that some applications copy text into clipboard during
mouse drag instead after mouse button is released. This forces
wmcliphist to take up selection content and thus application can cancel
actual selection. I think, this is rather problem of an application than
wmcliphist, but it can be solved easily: just disable auto take up
feature with following line in your ~/.wmcliphistrc:

auto_take_up no
-------------------------------------------------------------------------

Резюмируя - это не баг, это фича. Баг - в поведении многих gtk-шных программ,
которое приводит к такому эффекту. Фичу можно отключить, тогда в этих программах
будет всё пучком, однако wmcliphist утратит способность держать выделение после
завершения программы, из которой копировался текст.

Я сейчас ставлю резолюцию WONTFIX, поскольку скорее всего менять патчем
дефолтное поведение wmcliphist будет не лучшим решением (впрочем, это
обсуждаемо). Видимо, стоит положить в %doc объяснение автора и пример
wmcliphistrc...
------- Comment #4 From 2007-02-08 16:56:10 -------
Добавлено пояснение автора с необходимой для снятия проблемы строкой
конфигурации
в доки пакета. wmcliphist-0.6-alt3. Закрываю баг.